"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const utils_1 = require("../shared/utils");
exports.default = {
    register: (context) => {
        let disposable = vscode.commands.registerCommand("codesnippets.import-selection", () => __awaiter(this, void 0, void 0, function* () {
            // The code you place here will be executed every time your command is executed
            let token = yield utils_1.getToken(context);
            if (!token) {
                vscode.window.showErrorMessage("Unable to get your CodeSnippets.dev access token");
                return;
            }
            let editor = vscode.window.activeTextEditor || null;
            if (editor && editor.document) {
                let selectedSnippet = yield utils_1.chooseSnippet(token, utils_1.getLanguage(editor));
                if (selectedSnippet && selectedSnippet.code) {
                    utils_1.insertCodeAtSelection(editor, selectedSnippet.code);
                }
            }
        }));
        context.subscriptions.push(disposable);
    },
};
//# sourceMappingURL=importSelection.js.map