"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./shared/utils");
const importSelection_1 = require("./commands/importSelection");
const importFile_1 = require("./commands/importFile");
const exportSelection_1 = require("./commands/exportSelection");
const login_1 = require("./commands/login");
const viewMine_1 = require("./commands/viewMine");
// this method is called when your extension is activated
// your extension is activated the very first time the command is executed
function activate(context) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield utils_1.getToken(context);
            login_1.default.register(context);
            importSelection_1.default.register(context);
            viewMine_1.default.register(context);
            importFile_1.default.register(context);
            exportSelection_1.default.register(context);
        }
        catch (err) {
            console.log("CodeSnippets Error!");
            console.log(err);
        }
    });
}
exports.activate = activate;
// this method is called when your extension is deactivated
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map